# $Revision: 1.58 $, $Date: 2010/06/03 11:17:16 $
Summary:	Versatile Commodore Emulator
Summary(pl.UTF-8):	Uniwersalny emulator Commodore
Name:		vice
Version:	2.2
Release:	2
License:	GPL v2+
Group:		Applications/Emulators
Source0:	http://www.zimmers.net/anonftp/pub/cbm/crossplatform/emulators/VICE/%{name}-%{version}.tar.gz
# Source0-md5:	6737f540806205384e9129026898b0a1
Source1:	%{name}-c128.desktop
Source2:	%{name}-c64.desktop
Source3:	%{name}-cbm2.desktop
Source4:	%{name}-pet.desktop
Source5:	%{name}-plus4.desktop
Source6:	%{name}-vic20.desktop
Patch0:		%{name}-info.patch
Patch1:		%{name}-gettext.patch
Patch2:		%{name}-home_etc.patch
URL:		http://www.viceteam.org/
BuildRequires:	OpenGL-GLX-devel
BuildRequires:	SDL-devel >= 1.2.0
BuildRequires:	alsa-lib-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gettext-devel
BuildRequires:	giflib-devel
BuildRequires:	gtk+2-devel >= 1:2.0
BuildRequires:	lame-libs-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	readline-devel
BuildRequires:	texinfo
BuildRequires:	xorg-app-bdftopcf
BuildRequires:	xorg-app-mkfontdir
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXrandr-devel
BuildRequires:	xorg-lib-libXv-devel
BuildRequires:	xorg-lib-libXxf86dga-devel
BuildRequires:	xorg-lib-libXxf86vm-devel
Requires(post,postun):	fontpostinst >= 0.1-6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
VICE is a Versatile Commodore Emulator, i.e. a program that runs on a
Unix, MS-DOS, Win95/NT, OS/2, RiscOS or BeOS machine and executes
programs intended for the old 8-bit Commodore computers. The current
version emulates the C64, the C128 (80 column screen is included now),
the VIC20, all the PET models (except the SuperPET 9000, which is out
of line anyway), CBM-II (aka C610) and the Plus4.

%description -l pl.UTF-8
VICE jest wszechstronnym emulatorem 8-bitowego komputera Commodore.
Aktualna wersja emuluje C64, C128 (wraz z trybem pracy 80 kolumnowym),
VIC20, wszystkie modele PET (poza SuperPET 9000, który zresztą nie
pasował do tej linii), CBM-II (C610) oraz Plus4.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%{__perl} -i -pe 's@\$\(VICEDIR\)/fonts@%{_fontsdir}/misc@' data/fonts/Makefile.am

%build
%{__gettextize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
cd src/resid
%{__autoconf}
cd ../..
%configure \
	--libdir=%{_datadir} \
	--enable-autobpp \
	--with-sdl \
	--enable-fullscreen \
	--enable-gnomeui \
	--enable-nls \
	--without-xaw3d \
	--without-included-gettext \
	--with-x
# contains some C++ code included as "old" library (.a), so libtool can't detect it
%{__make} \
	CCLD="%{__cxx}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__perl} -i -pe 's/SUBDIRS = html\n//' doc/Makefile
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	VICEDIR="%{_datadir}/%{name}"

rm -f doc/html/{Makefile*,texi2html}
rm -rf $RPM_BUILD_ROOT%{_datadir}/vice/doc
# ?
#ln -sf %{_docdir}/%{name}-%{version}/html $RPM_BUILD_ROOT%{_datadir}/vice/doc

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE3} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE4} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE5} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE6} $RPM_BUILD_ROOT%{_desktopdir}

cd src/arch/unix/x11
for i in *icon.c; do
	install $i $RPM_BUILD_ROOT%{_pixmapsdir}/${i%.c}.xpm
done
cd ../../../..

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
fontpostinst misc
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
fontpostinst misc
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog FEEDBACK NEWS README doc/iec-bus.txt doc/mon.txt doc/html
%attr(755,root,root) %{_bindir}/*
%{_datadir}/vice
%{_fontsdir}/misc/*
%{_mandir}/man?/*
%{_infodir}/*.info*
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: vice.spec,v $
Revision 1.58  2010/06/03 11:17:16  baggins
- rel 2
- esound is dead

Revision 1.57  2010/03/11 11:04:40  lisu
- updated to 2.2
- rm -gcc44.patch (applied upstream)
- BR: perl-base

Revision 1.56  2010/02/27 17:45:38  hawk
- release 3

Revision 1.55  2010/01/14 16:57:28  hawk
- release 2

Revision 1.54  2009/07/11 23:26:41  gotar
- gcc 4.4 patch from http://lists.rpmfusion.org/pipermail/rpmfusion-commits/2009-April/004561.html

Revision 1.53  2009/01/26 11:49:40  lisu
- use perl macro

Revision 1.52  2009/01/06 12:01:25  lisu
- up to 2.1

Revision 1.51  2008/11/27 08:38:37  lisu
- up to 2.0
- use $(VICEDIR) instead of $(prefix)/lib/vice
	- use perl instead of FHS.patch to change fonts dir
	- VICEDIR gived upstream
- new BR: xorg-app-mkfontdir

Revision 1.50  2007/08/13 09:29:14  lisu
- 1.22

Revision 1.49  2007/07/15 19:03:44  qboosh
- BR: alsa (used by default)

Revision 1.48  2007/07/15 17:28:14  qboosh
- BR: libstdc++-devel

Revision 1.47  2007/07/15 17:19:50  qboosh
- updated BRs
- just stick to GTK+ based "gnomeui" instead of old-fashioned Xaw

Revision 1.46  2007/07/15 15:08:33  lisu
- 1.21
- BR: xorg-app-bdftopcf
- cosmetics

Revision 1.45  2007/02/12 22:09:19  glen
- tabs in preamble

Revision 1.44  2007/02/12 01:06:36  baggins
- converted to UTF-8

Revision 1.43  2007/01/25 16:28:48  qrczak
- Fixed linking to use a C++ compiler
- BR: XFree86-devel -> xorg-lib-libX11-devel
- Release 2

Revision 1.42  2006/11/07 22:31:36  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.41  2006/01/27 14:59:29  gotar
- upgraded to 1.19

Revision 1.40  2005/09/17 12:00:34  arekm
- new readline, 5.0

Revision 1.39  2005/02/22 22:45:14  qboosh
- home_etc patch bugfix, run find_lang in proper dir (pointed by "l00natyk")

Revision 1.38  2005/02/07 14:18:01  gotar
- added desktop files

Revision 1.37  2005/02/06 18:29:52  qboosh
- unified, small pl enhancement

Revision 1.36  2005/02/06 15:30:02  gotar
- upgraded to 1.16,
- FHS compliance, moved doc and font to standard directories.

Revision 1.35  2004/09/20 22:37:51  havner
- reverted

Revision 1.34  2004/09/20 21:26:21  havner
- amd64 patch

Revision 1.33  2003/12/06 13:10:27  gotar
- new style bcond

Revision 1.32  2003/11/10 06:07:24  witekfl
- added home_etc.patch
- rel 2

Revision 1.31  2003/10/14 22:56:17  qboosh
- 1.13

Revision 1.30  2003/08/20 16:50:26  gotar
- removed BR: Xaw3d

Revision 1.29  2003/08/18 08:09:37  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.28  2003/07/20 21:15:53  qboosh
- up to 1.12
- updated DESTDIR patch, removed obsolete acamfixes patch, added gettext patch

Revision 1.27  2003/05/28 13:02:34  malekith
- massive attack: source-md5

Revision 1.26  2003/05/25 06:27:41  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.25  2003/02/28 10:08:59  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.24  2003/02/22 15:18:58  misiek
- update to 1.11

Revision 1.23  2003/01/18 22:57:40  juandon
- removed two lines with define

Revision 1.22  2002/10/13 22:10:41  qboosh
- new %%doc, release 2

Revision 1.21  2002/06/27 20:24:59  jojoro
- ver 1.9

Revision 1.20  2002/06/23 20:52:54  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.19  2002/04/27 22:31:53  qboosh
- libpng 1.2.2 support

Revision 1.18  2002/04/04 13:31:33  qrczak
- Workaround to make it build: don't run aclocal+autoconf+autoheader+
  automake, disable acamfixes.patch, use %%configure2_13, patch Makefile.in
  instead of Makefile.am. Automake is broken.

Revision 1.17  2002/04/04 12:08:26  qrczak
Update URL, vice has moved.

Revision 1.16  2002/03/30 11:18:29  qboosh
- fixed install, added DESTDIR patch
- acamfixes patch to allow rebuilding ac/am with 2.53/1.6

Revision 1.15  2002/03/22 21:58:11  pioklo
- typo

Revision 1.14  2002/03/22 21:34:25  pioklo
- updated to 1.8 ,rel 1

Revision 1.13  2002/02/22 23:29:52  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.12  2002/01/18 02:15:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/12/18 19:07:31  kloczek
- commet also autoconf, automake in BuildRequire rules.

Revision 1.10  2001/12/18 16:56:04  qrczak
- Don't run aclocal/autoconf/autoheader/automake. They don't work.
  Use %%configure2_13 instead.
- Release 3.

Revision 1.9  2001/07/26 05:42:25  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.7  2001/05/22 09:06:52  wiget
switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ -> _without_); no release changes only simple s/// perfored

Revision 1.6  2001/05/18 22:01:59  kloczek
- release 2.

Revision 1.5  2001/05/18 16:13:50  qboosh
- _without_gnome

Revision 1.4  2001/04/09 00:10:30  kloczek
- added info patch.

Revision 1.3  2001/04/08 20:10:38  misiek
use gnome

Revision 1.2  2001/04/08 19:13:08  misiek
added fix-info-dir call

Revision 1.1  2001/04/08 19:09:43  misiek
commodore emulator; stb
